"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11044cd60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11044cea0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11044ce00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11044cf40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11044cfe0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11044d080>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11044d120>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11044d1c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11044d260>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11044d300>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11044d3a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11044d440>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11044d4e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11044d580>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11044d620>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11044d6c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11044d760>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11044d800>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11044d8a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11044d940>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11044d9e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11044da80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11044db20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11044dbc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11044dc60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11044dd00>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11044dda0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11044de40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11044dee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11044df80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11044e020>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e0c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e200>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11044e2a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11044e340>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11044e3e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e480>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11044e520>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11044e5c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11044e660>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11044e700>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e7a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11044e840>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11044e8e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11044e980>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11044ea20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11044eac0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11044eb60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11044ec00>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11044eca0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11044ed40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11044ede0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11044ee80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11044ef20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11044efc0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11044f060>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11044f100>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11044f1a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11044f240>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11044f2e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11044f380>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11044f420>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11044f4c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11044f560>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11044f600>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11044f6a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11044f740>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11044f7e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11044f880>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11044f920>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11044f9c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11044fa60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11044fb00>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11044fba0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11044fc40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11044fce0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11044fd80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11044fe20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11044ff60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11044fec0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x110460040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1104600e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x110460180>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x110460220>)]
name: str = 'fr_HOCCN'
